Skip to main content
GET
A pipeline's runs

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

pipeline_id
string<uuid>
required

The pipeline's id.

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 200

Response

Successful Response

id
string<uuid>
required
trigger
enum<string>
required
Available options:
schedule,
manual,
create
status
enum<string>
required
Available options:
queued,
running,
succeeded,
failed
phase
enum<string> | null
Available options:
reading,
writing,
checking,
registering,
done
started_at
string<date-time> | null
finished_at
string<date-time> | null
duration_s
integer | null
rows_read
integer | null
rows_written
integer | null
checks_passed
integer | null
checks_total
integer | null
error_kind
enum<string> | null
Available options:
schema_drift,
source_unreachable,
cast_failed,
dq_failed,
permission_denied,
other
error
string | null
schema_change
SchemaChange · object | null
governance
Governance · object